Summary:	A multithreaded download accelerator
Name:		prozilla
Version:	2.0.4
Release:	%mkrel 19
License: 	GPLv2+
URL:		http://prozilla.genesys.ro/
Group:		Networking/File transfer
Source:		http://prozilla.genesys.ro/downloads/prozilla/tarballs/%{name}-%{version}.tar.bz2
Patch0:		prozilla_download_win.h.patch
Patch1:		prozilla-2.0.4-automake-1.13.patch
BuildRequires:	pkgconfig(ncurses)

%description
ProZilla is a multithreaded download accelerator for Linux which supports
both HTTP and FTP protocols. It makes multiple connections to the server
and downloads the file in portions, thus giving a much better speed rate
than the conventional download programs which use a single connection.
Resuming connections is fully supported and customisable.

%package devel
Summary:	Header files and development files for %{name}
Group:		Networking/File transfer
Requires:	%{name}

%description devel
Header files and development files for %{name}.

%prep
%setup -q
%patch0 -p0

# fix for make_install macro
sed -i -e \
     s'|gnulocaledir = $(prefix)/share/locale|gnulocaledir = %{buildroot}$(prefix)/share/locale|' \
     po/Makefile.in.in

sed -i -e \
     s'|gnulocaledir = $(prefix)/share/locale|gnulocaledir = %{buildroot}$(prefix)/share/locale|' \
     libprozilla/po/Makefile.in.in

# fix build on aarch64
for d in . libprozilla; do
  cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} $d
done

%build
%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

# (mpol) remove unwanted locale files
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/.mo
[ -f %{buildroot}%{_datadir}/locale/locale.alias ] && rm -f %{buildroot}%{_datadir}/locale/locale.alias

%find_lang proz

%files -f proz.lang
%doc AUTHORS ChangeLog CREDITS COPYING NEWS README TODO
%_bindir/*
%_mandir/man1/*

%files devel
%{_includedir}/*
%{_libdir}/*.a


%changelog
* Thu Oct 29 2020 joequant <joequant> 2.0.4-19.mga8
+ Revision: 1640459
- rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.0.4-18.mga8
+ Revision: 1516174
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.0.4-17.mga7
+ Revision: 1300387
- Mageia 7 Mass Rebuild

* Tue Jun 12 2018 wally <wally> 2.0.4-16.mga7
+ Revision: 1236524
- fix build on aarch64
+ kekepower <kekepower>
- Use make_build

* Tue Feb 16 2016 umeabot <umeabot> 2.0.4-15.mga6
+ Revision: 962160
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 daviddavid <daviddavid> 2.0.4-14.mga6
+ Revision: 893754
- fix for empty lang files

* Wed Oct 15 2014 umeabot <umeabot> 2.0.4-13.mga5
+ Revision: 740863
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.4-12.mga5
+ Revision: 727951
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.4-11.mga5
+ Revision: 687806
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.4-10.mga4
+ Revision: 517753
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.0.4-9.mga3
+ Revision: 378270
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 13 2013 fwang <fwang> 2.0.4-8.mga3
+ Revision: 367392
- build static lib
- do not use autoconf
- nested autoreconf
- build static
- fix patch
- more automake fix
- fix build with automake 1.13

* Sat May 07 2011 ahmad <ahmad> 2.0.4-8.mga1
+ Revision: 95882
- Fix the License tag
- User %%configure2_5x macro (and run libtoolize --copy --force in %%prep)
- Drop buildroot declaration
- imported package prozilla

